## kalendar 22.08.1

=== debian/changelog ===
kalendar (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:52 +0100

kalendar (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:04 +0100

kalendar (22.04.3-1ubuntu2) kinetic; urgency=medium

  * Add qml-module-qt-labs-qmlmodels as required runtime dependency.
    (LP: #1987422)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Aug 2022 18:00:42 +0100

kalendar (22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 20:10:13 +0100

kalendar (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Recommend kalendarac.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:18 +0200

kalendar (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:26 +0100

kalendar (22.04.2-4) unstable; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kirigami2 dependency, as Kirigami is used.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable a couple more tests.
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2022 06:21:53 +0200

kalendar (22.04.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump B-Ds to KDE PIM 22.04.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Jun 2022 12:47:41 +0200

kalendar (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:04 +0200

kalendar (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:23 +0200

kalendar (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)
  * Only build for amd64, arm64 and armhf. Critical runtime dependency
    kdepim-runtime is only available for these architectures.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:13 +0100

kalendar (22.04.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1011385).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 May 2022 23:08:18 +0200
