=== debian/control ===
Source: kalendar
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               kirigami2-dev (>= 5.91.0~),
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5akonadicontact-dev (>= 4:22.08.1~),
               libkf5calendarcore-dev (>= 5:5.91.0~),
               libkf5calendarsupport-dev (>= 4:22.08.1~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5contacts-dev (>= 5:5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5eventviews-dev (>= 4:22.08.1~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5itemmodels-dev (>= 5.91.0~),
               libkf5qqc2desktopstyle-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/kalendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalendar.git
Rules-Requires-Root: no

Package: kalendar
Architecture: amd64 arm64 armhf
Depends: akonadi-server,
         kdepim-runtime,
         qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac
Description: Calendar application
 Kalendar is a Kirigami-based calendar and task management application that
 uses Akonadi. It lets you add, edit and delete events and tasks from local
 and remote accounts  of your choice, while keeping changes synchronised
 across your Plasma desktop or phone.
