## kalendar 22.12.0

=== debian/changelog ===
kalendar (22.12.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing runtime dependencies.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Jan 2023 21:00:03 +0100

kalendar (22.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit build to architectures where the Qt 5 WebEngine is available
    as libkf5webengineviewer-dev is a hard dependency now.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Jan 2023 20:40:18 +0100

kalendar (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:38 +0100

kalendar (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:39 +0100

kalendar (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:36 +0100

kalendar (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:25 +0200

kalendar (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:21 +0200

kalendar (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:19 +0200
