## kalendar 22.12.3

=== debian/changelog ===
kalendar (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:34:06 +0100

kalendar (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:29 +0100
