=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -10,26 +10,26 @@
                gettext,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicalendar-dev (>= 4:22.12.0~),
-               libkf5akonadicontact-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.12.3~),
+               libkf5akonadicontact-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:22.12.0~),
+               libkf5eventviews-dev (>= 4:22.12.3~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:22.12.0~),
-               libkf5pimcommon-dev (>= 4:22.12.0~),
+               libkf5mailcommon-dev (>= 4:22.12.3~),
+               libkf5pimcommon-dev (>= 4:22.12.3~),
                libkf5plasma-dev (>= 5.96.0~),
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:22.12.0~),
-               libkf5webengineviewer-dev (>= 4:22.12.0~),
+               libkf5templateparser-dev (>= 4:22.12.3~),
+               libkf5webengineviewer-dev (>= 4:22.12.3~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),
@@ -53,7 +53,7 @@
          qml-module-qtpositioning,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kalendarac
+Recommends: kalendarac,
 Description: Calendar application
  Kalendar is a Kirigami-based calendar and task management application that
  uses Akonadi. It lets you add, edit and delete events and tasks from local
