## kalendar 23.04.1

=== debian/changelog ===
kalendar (23.04.1-0xneon+22.04+jammy+release+build38) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 May 2023 09:12:07 +0000

kalendar (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 20:12:08 +0000

kalendar (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:40:24 +0000

kalendar (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:15:18 +0000

kalendar (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:20:41 +0000

kalendar (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:43:56 +0000

kalendar (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:58:22 +0000

kalendar (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:30:13 +0000

kalendar (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:50:54 +0000

kalendar (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:49:29 +0000

kalendar (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Feb 2022 20:12:06 +0000

kalendar (1.0.1~neon-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Feb 2022 20:12:06 +0000

kalendar (0.4.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Dec 2021 08:52:28 +0000

kalendar (0.3.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Dec 2021 20:12:06 +0000

kalendar (0.3.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Dec 2021 20:12:13 +0000
