=== debian/control ===
Source: kalendar
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.86.0~),
               kirigami-addons-dev,
               kirigami2-dev (>= 5.86.0~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5akonadi-dev (>= 4:21.08.0~),
               libkf5akonadicalendar-bin,
               libkf5akonadicontact-dev,
               libkf5calendarcore-dev (>= 5:5.86.0~),
               libkf5calendarsupport-dev (>= 4:21.08.0~),
               libkf5configwidgets-dev (>= 5.86.0~),
               libkf5contacts-dev (>= 5:5.86.0~),
               libkf5coreaddons-dev (>= 5.86.0~),
               libkf5dbusaddons-dev (>= 5.86.0~),
               libkf5eventviews-dev (>= 4:21.08.0~),
               libkf5i18n-dev (>= 5.86.0~),
               libkf5iconthemes-dev (>= 5.86.0~),
               libkf5itemmodels-dev (>= 5.86.0~),
               libkf5ktextaddons-dev,
               libkf5mailcommon-dev,
               libkf5messagecomposer-dev,
               libkf5mime-dev,
               libkf5notifications-dev (>= 5.86.0~),
               libkf5pimcommon-dev,
               libkf5plasma-dev,
               libkf5qqc2desktopstyle-dev,
               libkf5service-dev (>= 5.86.0~),
               libkf5templateparser-dev,
               libkf5webengineviewer-dev,
               libkf5windowsystem-dev (>= 5.86.0~),
               libkf5xmlgui-dev (>= 5.86.0~),
               libqgpgme-dev,
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtlocation5-dev (>= 5.15.2~),
               qtpositioning5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/kde/kalendar
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kalendar.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kalendar
Maintainer: Neon CI <neon@kde.org>

Package: kalendar
Architecture: any
Depends: akonadi-server,
         kdepim-runtime,
         libkf5akonadicalendar-bin,
         qml-module-org-kde-kirigami-addons-datetime,
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kirigamiaddons,
         qml-module-org-kde-kitemmodels,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtlocation,
         qml-module-qtpositioning,
         qml-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Calendar app
 Calendar application that allows you to manage your tasks and
 events. Kalendar supports both local calendars as well as a multitude
 of online calendars: Nextcloud, Google® Calendar, Outlook®, Caldav,
 and many more.
