## kalendar 23.07.90

=== debian/changelog ===
kalendar (23.07.90-0ubuntu2) mantic; urgency=medium

  * Add extra kirigami-addons qml module depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Aug 2023 11:25:33 +0100

kalendar (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:04 +0100
