=== debian/control ===
--- 
+++ 
@@ -12,27 +12,27 @@
                kirigami-addons-dev,
                kirigami2-dev (>= 5.96.0~),
                libgpgme-dev,
-               libkf5akonadi-dev (>= 4:23.04.3~),
-               libkf5akonadicalendar-dev (>= 4:23.04.3~),
-               libkf5akonadicontact-dev (>= 4:23.04.3~),
+               libkf5akonadi-dev (>= 4:23.07.90~),
+               libkf5akonadicalendar-dev (>= 4:23.07.90~),
+               libkf5akonadicontact-dev (>= 4:23.07.90~),
                libkf5calendarcore-dev (>= 5:5.96.0~),
-               libkf5calendarsupport-dev (>= 4:23.04.3~),
+               libkf5calendarsupport-dev (>= 4:23.07.90~),
                libkf5configwidgets-dev (>= 5.96.0~),
                libkf5contacts-dev (>= 5:5.96.0~),
                libkf5coreaddons-dev (>= 5.96.0~),
                libkf5dbusaddons-dev (>= 5.96.0~),
-               libkf5eventviews-dev (>= 4:23.04.3~),
+               libkf5eventviews-dev (>= 4:23.07.90~),
                libkf5i18n-dev (>= 5.96.0~),
                libkf5iconthemes-dev (>= 5.96.0~),
                libkf5itemmodels-dev (>= 5.96.0~),
                libkf5kio-dev (>= 5.96.0~),
-               libkf5mailcommon-dev (>= 4:23.04.3~),
-               libkf5pimcommon-dev (>= 4:23.04.3~),
+               libkf5mailcommon-dev (>= 4:23.07.90~),
+               libkf5pimcommon-dev (>= 4:23.07.90~),
                libkf5plasma-dev,
                libkf5qqc2desktopstyle-dev (>= 5.96.0~),
-               libkf5templateparser-dev (>= 4:23.04.3~),
+               libkf5templateparser-dev (>= 4:23.07.90~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.04.3~),
+               libkf5webengineviewer-dev (>= 4:23.07.90~),
                libkf5windowsystem-dev (>= 5.96.0~),
                libkf5xmlgui-dev (>= 5.96.0~),
                libqt5svg5-dev (>= 5.15.2~),
